# A copier et à coller dans quick-pi
# Version 4 étoiles du programme : Détecteur de mouvements
# Objet(s) : LCD, capteur de distance, led, stick
# ------------------------------------------------------------
# Modifiez le programme de la version précédente pour que 
# l'on puisse régler et afficher la différence à partir de 
# laquelle la LED s'allume. Elle doit être à 20 au départ, 
# augmenter de 1 si l'on appuie sur le bouton du haut, 
# et diminuer de 1 si l'on appuie sur le bouton du bas, sans 
# jamais passer en dessous de 1 ou au dessus de 100. 
# L'état des boutons doit être lu toutes les 500ms, au même 
# moment que la distance.
# ------------------------------------------------------------
from quickpi import *

ecart = 20
displayText(ecart, "")
distance_1 = 0; distance = 0

while True:
    turnLedOff()
    if isButtonPressed("stick1.up") and ecart <100:
        ecart+=1
    elif isButtonPressed("stick1.down") and ecart >1:
        ecart-=1
    displayText(ecart, "")
    distance = readDistance("range1")
    if abs(distance_1 - distance)>ecart:
        turnLedOn()
    else:
        turnLedOff()
    distance_1 = distance
    sleep(500)